[Overview][Types][Classes][Index] | Reference for unit 'zstream' (#fcl)

# TGZFileStream.seek

Set the position in the compressed stream.

## Declaration

Source position: zstream.pp line 92

`public function TGZFileStream.seek(`
`offset: LongInt;`
`origin: Word`
`):LongInt; override;`

## Arguments

`offset` |  | Number of bytes to position on
`origin` |  | Where to start positioning

## Function result

New position in the stream

## Description

Seek sets the position to Offset bytes, starting from Origin. Not all combinations are possible, see TDecompressionStream.Seek for a list of possibilities.

## Errors

In case an impossible combination is asked, an EZlibError exception is raised.

## See also

TDecompressionStream.Seek |  | Move stream position to a certain location in the stream.

Documentation generated on: Feb 26 2014